Heads up, our devs are blazing ahead—docs are catching up, so some features might not be fully documented yet.
For the complete documentation index, see llms.txt. This page is also available as Markdown.

Currency

Currency

List foreign currencies

get
/tenants/{tenantUid}/currencies

List foreign currencies.

Authorizations
AuthorizationstringRequired

Accesstoken recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
Query parameters
pageNumberintegerOptional

Reference to a specific page in a result set.

pageSizeintegerOptional

The number of items per page in a result set.

Responses
200

Example response

application/json
get/tenants/{tenantUid}/currencies
GET /v2/tenants/{tenantUid}/currencies HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

{
  "items": [
    {
      "currencyUid": "text",
      "currencyCode": "text",
      "exchangeRate": 1,
      "createdAt": "2026-01-01T00:00:00.000Z",
      "createdBy": "text",
      "lastModifiedAt": "2026-01-01T00:00:00.000Z",
      "lastModifiedBy": "text"
    }
  ],
  "paging": {
    "pageNumber": 1,
    "pageSize": 1,
    "totalCount": 1
  }
}

Add currency

post
/tenants/{tenantUid}/currencies

Add a currency with exchange rate. Currency codes follow the ISO 4217 standard. Exchange rates are entered as integers in cents (2 decimals).

Authorizations
AuthorizationstringRequired

Accesstoken recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
Body
currencyUidstringOptionalPattern: ^[A-Za-z0-9-_]*
currencyCodestringRequired

ISO 4217 standard

exchangeRateintegerRequired

in cents (2 decimals)

Responses
201

Example response

application/json
currencyUidstringRequiredPattern: ^[A-Za-z0-9-_]+
currencyCodestringRequired

ISO 4217 standard

exchangeRateintegerRequired

in cents (2 decimals)

createdAtstring · date-timeRequired
createdBystringRequired
lastModifiedAtstring · date-timeRequired
lastModifiedBystringRequired
post/tenants/{tenantUid}/currencies
POST /v2/tenants/{tenantUid}/currencies HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 61

{
  "currencyUid": "text",
  "currencyCode": "text",
  "exchangeRate": 1
}
201

Example response

{
  "currencyUid": "text",
  "currencyCode": "text",
  "exchangeRate": 1,
  "createdAt": "2026-01-01T00:00:00.000Z",
  "createdBy": "text",
  "lastModifiedAt": "2026-01-01T00:00:00.000Z",
  "lastModifiedBy": "text"
}

Get currency

get
/tenants/{tenantUid}/currencies/{currencyUid}

Get a currency.

Authorizations
AuthorizationstringRequired

Accesstoken recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
currencyUidstringRequired

Key to currency

Responses
200

Example response

application/json
currencyUidstringRequiredPattern: ^[A-Za-z0-9-_]+
currencyCodestringRequired

ISO 4217 standard

exchangeRateintegerRequired

in cents (2 decimals)

createdAtstring · date-timeRequired
createdBystringRequired
lastModifiedAtstring · date-timeRequired
lastModifiedBystringRequired
get/tenants/{tenantUid}/currencies/{currencyUid}
GET /v2/tenants/{tenantUid}/currencies/{currencyUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

{
  "currencyUid": "text",
  "currencyCode": "text",
  "exchangeRate": 1,
  "createdAt": "2026-01-01T00:00:00.000Z",
  "createdBy": "text",
  "lastModifiedAt": "2026-01-01T00:00:00.000Z",
  "lastModifiedBy": "text"
}

Update currency

put
/tenants/{tenantUid}/currencies/{currencyUid}

Update a currency.

Authorizations
AuthorizationstringRequired

Accesstoken recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
currencyUidstringRequired

Key to currency

Body
currencyCodestringOptional

ISO 4217 standard

exchangeRateintegerOptional

in cents (2 decimals)

Responses
200

Example response

application/json
currencyUidstringRequiredPattern: ^[A-Za-z0-9-_]+
currencyCodestringRequired

ISO 4217 standard

exchangeRateintegerRequired

in cents (2 decimals)

createdAtstring · date-timeRequired
createdBystringRequired
lastModifiedAtstring · date-timeRequired
lastModifiedBystringRequired
put/tenants/{tenantUid}/currencies/{currencyUid}
PUT /v2/tenants/{tenantUid}/currencies/{currencyUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 40

{
  "currencyCode": "text",
  "exchangeRate": 1
}
200

Example response

{
  "currencyUid": "text",
  "currencyCode": "text",
  "exchangeRate": 1,
  "createdAt": "2026-01-01T00:00:00.000Z",
  "createdBy": "text",
  "lastModifiedAt": "2026-01-01T00:00:00.000Z",
  "lastModifiedBy": "text"
}

Delete currency

delete
/tenants/{tenantUid}/currencies/{currencyUid}

Delete a currency.

Authorizations
AuthorizationstringRequired

Accesstoken recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
currencyUidstringRequired

Key to currency

Responses
204

No Content

No content

delete/tenants/{tenantUid}/currencies/{currencyUid}
DELETE /v2/tenants/{tenantUid}/currencies/{currencyUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
204

No Content

No content

Last updated

Was this helpful?